"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CloseIcon = void 0;
var React = _interopRequireWildcard(require("react"));
var _AelfIcon = require("../icon/AelfIcon");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
var AelfSVGComponent = function AelfSVGComponent(props) {
  return /*#__PURE__*/React.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 16 16",
    fill: "currentColor"
  }, props), /*#__PURE__*/React.createElement("path", {
    d: "M3.686 13.303a.2.2 0 0 1-.283 0l-.707-.707a.2.2 0 0 1 0-.283L7.01 8 2.696 3.687a.2.2 0 0 1 0-.283l.707-.707a.2.2 0 0 1 .283 0L8 7.01l4.313-4.313a.2.2 0 0 1 .283 0l.707.707a.2.2 0 0 1 0 .283L8.99 8l4.313 4.313a.2.2 0 0 1 0 .283l-.707.707a.2.2 0 0 1-.283 0L8 8.99l-4.314 4.313Z"
  }));
};
const componentName = 'CloseIcon';
const CloseIcon = exports.CloseIcon = /*#__PURE__*/React.forwardRef((props, ref) => {
  return /*#__PURE__*/React.createElement(_AelfIcon.AelfIcon, _extends({
    component: AelfSVGComponent,
    componentName: componentName,
    defaultWidth: 16,
    defaultHeight: 16,
    ref: ref
  }, props));
});
CloseIcon.displayName = 'CloseIcon';